package devmanuals.com.servlet;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.Locale;
import java.util.ResourceBundle;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class InternationalizationServlet extends HttpServlet {
	public void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		PrintWriter out = response.getWriter();
		response.setContentType("text/html");
		Locale locale = request.getLocale();
		String lang = "";

		if (request.getParameter("cngLng") != null) {
			String optional = request.getParameter("cngLng");
			if (!optional.equals("select")) {
				lang = (String) request.getParameter("cngLng");
			}
		} else {
			lang = locale.getLanguage();
		}

		ResourceBundle bundle = ResourceBundle.getBundle("locale/message_"+ lang, locale);
		out.println("<h3 align='center'>"
				+ bundle.getString("browser.detected.lang.code") + "- "
				+ locale.getLanguage() + "</h3>");
		out.println("<H2 align='center'>" + bundle.getString("page.heading")
				+ "</H2>");
		out.print("<meta http-equiv='Content-Type' content='text/html; charset=UTF-8' />");
		out.println("<!DOCTYPE HTML PUBLIC '-//W3C//DTD HTML 4.0 Transitional//EN'>");
		out.println("<HTML>");
		out.println("<HEAD>");
		out.println("<TITLE>" + bundle.getString("page.title") + "</TITLE>");
		out.println("</HEAD>");

		out.println("<BODY>");
		out.println("<form name='cngLocale' action='internationalization.html' method='post'>");
		out.println("<table align='center'>");
		out.println("<tr>");
		out.println("<td>" + bundle.getString("page.change.lang.caption")
				+ "</td>");
		out.println("<td>");
		out.println("<select name='cngLng' id='cngLng'>");
		out.println("<option value='select' selected='selected'>"
				+ bundle.getString("page.change.lang.choose") + "</option>");
		out.println("<option value='es'>"
				+ bundle.getString("page.change.lang.choose.spa") + "</option>");
		out.println("<option value='en'>"
				+ bundle.getString("page.change.lang.choose.eng") + "</option>");
		out.println("</select>");
		out.println("</td>");
		out.println("<td><input type='submit' value='"
				+ bundle.getString("page.change.lang.button") + "'/></td>");
		out.println("</tr>");
		out.println("</table>");
		out.println("</form>");

		out.println("<form name='myForm' action='#' method='post'>");
		out.println("<table align='center'>");
		out.println("<tr>");
		out.println("<td>" + bundle.getString("page.form.name") + "</td>");
		out.println("<td><input type='text' name='name' id='name'/></td>");
		out.println("</tr>");
		out.println("<tr>");
		out.println("<td>" + bundle.getString("page.form.course") + "</td>");
		out.println("<td><input type='text' name='course' id='course'/></td>");
		out.println("</tr>");
		out.println("<tr>");
		out.println("<td>" + bundle.getString("page.form.address") + "</td>");
		out.println("<td><input type='text' name='name' id='address'/></td>");
		out.println("</tr>");
		out.println("<tr>");
		out.println("<td colspan='2' align='center'><input type='submit' value='Submit'/></td>");
		out.println("</tr>");
		out.println("</table>");
		out.println(" </form>");
		out.println("</BODY>");
		out.println("</HTML>");
	}

	public void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		doGet(request, response);
	}

}